This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 89711 - web page crashes mozilla
web page crashes mozilla
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks: 90218
  Show dependency treegraph
 
Reported: 2003-04-26 09:36 EDT by Chris Ricker
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 10:35:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output of Mozilla crashing (130.07 KB, application/x-gzip)
2003-05-06 18:56 EDT, Peter van Egdom
no flags Details

  None (edit)
Description Chris Ricker 2003-04-26 09:36:33 EDT
RHL 9, fully up2date'd

The URL http://www.businessweek.com/technology/cnet/stories/998420.htm
(which, oddly enough, is a story about Red Hat) crashes mozilla while loading
Comment 1 Peter van Egdom 2003-04-30 15:22:38 EDT
I experience Mozilla crashing on that web page too.

Tested with :
- "mozilla-1.2.1-26" - Red Hat Linux release 9 (Shrike).
- "mozilla-1.2.1-27" - Rawhide.
Comment 2 Christopher Blizzard 2003-05-05 13:32:24 EDT
Works here.  Can you get a stack trace (assuming you know how to do that?)
Comment 3 Peter van Egdom 2003-05-06 18:54:33 EDT
Tried it a couple of times in a row with Mozilla today and each time I tried it,
Mozilla crashed.

I also tried Konqueror. Konqueror works fine displaying that page.

Interesting to note that I also tried that page yesterday with Mozilla, as you
requested, and then it seemed to work correctly.

I suspect that it's some dynamically part of the webpage that triggers the bug
in Mozilla. Maybe an advert, or something.

Can you try visiting this page again, Christopher?

I used "strace -o /tmp/mozcrash mozilla" to capture some information of the
crash. I'll attach the output of this strace to this bugzilla.

If you can provide me with a better method to record crash information I'll
gladly do that.
Comment 4 Peter van Egdom 2003-05-06 18:56:39 EDT
Created attachment 91526 [details]
strace output of Mozilla crashing
Comment 5 Peter van Egdom 2003-05-10 18:07:22 EDT
Upgraded to "mozilla-1.4b-1" from Rawhide. 
This version of Mozilla fixed this bug for me.
Comment 6 Chris Ricker 2003-05-14 16:29:43 EDT
The current ad being pushed in the middle of the page doesn't trigger this bug,
whatever it was....
Comment 7 Christopher Blizzard 2003-06-02 10:35:53 EDT
Marking RAWHIDE based on comments.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.